import 'package:diplomaticquarterapp/core/model/pharmacies/Addresses.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:flutter/material.dart';

class AddressSelectPageTest extends StatelessWidget {
  final List<Addresses> addresses;

  AddressSelectPageTest(this.addresses);

  @override
  Widget build(BuildContext context) {
    return AppScaffold(
      title: "test",
      isShowAppBar: true,
      isShowDecPage: false,
      body: Column(
        children: [
          Container(
            child: RaisedButton(
              onPressed: () => {Navigator.pop(context, addresses[0])},
              child: new Text(
                "Set address",
                style: new TextStyle(color: Colors.white, fontSize: 14),
              ),
              elevation: 0,
              color: Colors.blueAccent,
              disabledColor: Colors.blueAccent,
            ),
          ),
        ],
      ),
    );
  }
}
